package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 微信模板对象 fs_wechat_template
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsWechatTemplate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模板id */
    private Integer id;

    /** 模板编号 */
    @Excel(name = "模板编号")
    private String tempkey;

    /** 模板名 */
    @Excel(name = "模板名")
    private String name;

    /** 回复内容 */
    @Excel(name = "回复内容")
    private String content;

    /** 模板ID */
    @Excel(name = "模板ID")
    private String tempId;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** $column.columnComment */
    @Excel(name = "状态")
    private Integer isDel;

    /** 类型：template:模板消息 subscribe:订阅消息 */
    @Excel(name = "类型：template:模板消息 subscribe:订阅消息")
    private String type;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setTempkey(String tempkey) 
    {
        this.tempkey = tempkey;
    }

    public String getTempkey() 
    {
        return tempkey;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setTempId(String tempId) 
    {
        this.tempId = tempId;
    }

    public String getTempId() 
    {
        return tempId;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tempkey", getTempkey())
            .append("name", getName())
            .append("content", getContent())
            .append("tempId", getTempId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("status", getStatus())
            .append("isDel", getIsDel())
            .append("type", getType())
            .toString();
    }
}
